skip to Main Content


Fringer EF/FX Smart Adapters Firmware 2.10 Available – Bug Fix

Share

According to some users’ feedback, V2.0 firmware introduced a bug that some old lenses may fail to be identified by the adapter. Wrong aperture value is displayed and AF doesn’t work properly. Meanwhile, we also fixed a bug that may cause repeatedly black screen and camera restart under some rare conditions. Please upgrade you adapter as soon as possible.

Be noted, V2.10 is a replacement for V2.0 as the new baseline. In the future all firmware version newer than V2.10 can only be installed on adapter with V2.0, V2.10 or newer version firmware. V1.x must be upgraded to V2.0 or V2.10 before install firmware newer than V2.10.

Firmware download files and release notes

via fringer

Share